ig.module( 
    'game.entities.busk2' 
)
.requires(
    'impact.entity' 
)

.defines(function(){

// Play this when a character spawns in a or leaves a map.
EntityBusk2 = ig.Entity.extend({

    animSheet: new ig.AnimationSheet( 'media/busk2.png', 77, 93 ),
    size: {x: 42, y: 48},
    collides: ig.Entity.COLLIDES.NEVER,
    owner_id: -1,
    zIndex: 20,

    init: function( x, y, settings ) {
        this.parent(x, y, settings);

        this.addAnim('default', 1, [0] );

        if(!ig.editor){
            // Re-sort Entities
            ig.game.sortEntitiesDeferred();
        }
    },
})
});